## sensor-bme680 2.0.2

=== Makefile ===
# Makefile for sensor-bme680 (C version)
# Build BME680 sensor reader for Raspberry Pi using system libraries

# Extract version from debian/changelog using dpkg-parsechangelog
VERSION := $(shell dpkg-parsechangelog -S Version 2>/dev/null || echo "0.0.0")

CC = gcc
CFLAGS = $(EXTRA_CFLAGS) -Wall -Wextra -O2 -std=c99 -I/usr/include/ws -DVERSION=\"$(VERSION)\"
LDFLAGS = $(EXTRA_LDFLAGS) -lwildlifesystems

PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1

SRCDIR = src
TARGET = sensor-bme680
SOURCES = $(SRCDIR)/main.c $(SRCDIR)/bme680.c
HEADERS = $(SRCDIR)/bme680.h

.PHONY: all clean install uninstall debug deb

all: $(TARGET)

$(TARGET): $(SOURCES) $(HEADERS)
	$(CC) $(CFLAGS) -o $@ $(SOURCES) $(LDFLAGS)

# Build with debug symbols
debug: CFLAGS += -g -DDEBUG
debug: $(TARGET)

# Install the binary and man page
install: $(TARGET)
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 $(TARGET) $(DESTDIR)$(BINDIR)/
	install -d $(DESTDIR)$(MANDIR)
	install -m 644 man/sensor-bme680.1 $(DESTDIR)$(MANDIR)/

# Uninstall
uninstall:
	rm -f $(DESTDIR)$(BINDIR)/$(TARGET)

# Clean build artifacts
clean:
	rm -f $(TARGET)

# For Debian packaging
deb:
	dpkg-buildpackage -us -uc -b

## sensor-bme680 2.0.1

=== debian/changelog ===
sensor-bme680 (2.0.1) stable; urgency=medium

  * Refactor to use libwildlifesystems shared library
  * Add setup, enable, mock commands for consistent CLI
  * Update man page with all commands
  * Fix addr_str buffer size

 -- Ed Baker <ed@ebaker.me.uk>  Tue, 27 Jan 2026 12:00:00 +0000

sensor-bme680 (2.0.0) stable; urgency=medium

  * Rewrite in C

 -- Ed Baker <ed@ebaker.me.uk>  Sun, 25 Jan 2026 12:00:00 +0000

=== debian/control ===
Source: sensor-bme680
Section: misc
Priority: optional
Maintainer: Ed Baker <ed@ebaker.me.uk>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/Wildlife-Systems/sensor-bme680

Package: sensor-bme680
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BME680 sensor reading utility
 Simple C program to read BME680 sensor and output JSON.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE)

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/sensor-bme680 PREFIX=/usr install

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf debian/sensor-bme680 debian/.debhelper

override_dh_dwz:

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## sensor-bme680 2.0.2

=== debian/changelog ===
sensor-bme680 (2.0.2) stable; urgency=medium

  * Rebuild against libwildlifesystems 1.1.1

 -- Ed Baker <ed@ebaker.me.uk>  Tue, 27 Jan 2026 14:00:00 +0000

## sensor-bme680 2.0.3

=== debian/changelog ===
sensor-bme680 (2.0.3) stable; urgency=medium

  * Rebuild against libwildlifesystems 1.1.1

 -- Ed Baker <ed@ebaker.me.uk>  Tue, 27 Jan 2026 14:00:00 +0000
